using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ClickBackground : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		Steema.TeeChart.Chart ch1 = WebChart1.Chart;

		ch1.Aspect.View3D = false;

		Steema.TeeChart.Styles.Line line1 = new Steema.TeeChart.Styles.Line(ch1);

		for (int i = 0; i < 10; i++)
		{
			line1.Add(i);
		}

		Steema.TeeChart.Tools.Annotation annotation1 = new Steema.TeeChart.Tools.Annotation(ch1);
		annotation1.Shape.CustomPosition = true;
		annotation1.Shape.Left = 100;
		annotation1.Shape.Top = 100;
		annotation1.Text = "my annotation";

		Label1.Text = "";
		Label2.Text = "";

		WebChart1.ClickBackground += new Steema.TeeChart.Web.WebChart.ClickEventHandler(WebChart1_ClickBackground);
		WebChart1.ClickSeries += new Steema.TeeChart.Web.WebChart.SeriesEventHandler(WebChart1_ClickSeries);
	}

	void WebChart1_ClickSeries(object sender, Steema.TeeChart.Styles.Series s, int valueIndex, EventArgs e)
	{
		Label1.Text = "ClickSeries";
	}

	void WebChart1_ClickBackground(object sender, ImageClickEventArgs e)
	{
		Label2.Text = "ClickBackGround";
	}
}
